Skip to main content
GET
/
orgs
/
{orgId}
/
agents
/
{agentId}
/
baselines
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/agents/{agentId}/baselines \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "orgId": "<string>",
      "mean": 123,
      "stddev": 123,
      "sampleCount": 123,
      "hourlyPattern": {},
      "windowStart": "<string>",
      "windowEnd": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

agentId
string
required

Agent identifier

Query Parameters

metric
enum<string>

Filter by metric

Available options:
email_send_rate,
sms_send_rate,
vault_access_rate,
api_call_rate,
unique_recipients
period
enum<string>

Filter by period

Available options:
hourly,
daily

Response

200 - application/json

OK

Agent baselines

items
object[]
required

List of baselines